<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SingleThreadEvent.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">protean-tests</a> &gt; <a href="index.source.html" class="el_package">io.gitlab.littlesaints.protean.event</a> &gt; <span class="el_source">SingleThreadEvent.java</span></div><h1>SingleThreadEvent.java</h1><pre class="source lang-java linenums">/*
 *                     protean-core
 *              Copyright (C) 2018 Varun Anand
 *
 * This file is part of protean-core.
 *
 * protean-core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * protean-core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
 */

package io.gitlab.littlesaints.protean.event;

import io.gitlab.littlesaints.protean.configuration.Config;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.function.Supplier;

/**
 * An event to be used when it's being accessed by a single thread.
 * This class is NOT thread-safe.
 */
public class SingleThreadEvent implements SimpleEvent {

    private final HashMap&lt;String, Object&gt; props;

    private final Config confProps;

<span class="fc" id="L40">    @Getter</span>
<span class="fc" id="L41">    @Setter</span>
    private State state;

    private Long identifier;

<span class="fc" id="L46">    @Getter</span>
    private long startEpochMillis;

    private Object payload;

<span class="fc" id="L51">    public SingleThreadEvent(Config config) {</span>
<span class="fc" id="L52">        props = new HashMap&lt;&gt;();</span>
<span class="fc" id="L53">        confProps = new Config(config);</span>
<span class="fc" id="L54">    }</span>

    public void init(Supplier&lt;Long&gt; idGenerator) {
<span class="fc" id="L57">        state = State.SUCCESS;</span>
<span class="fc" id="L58">        identifier = idGenerator.get();</span>
<span class="fc" id="L59">        startEpochMillis = System.currentTimeMillis();</span>
<span class="fc" id="L60">    }</span>

    public long getIdentifier() {
<span class="fc" id="L63">        return identifier;</span>
    }

    @SuppressWarnings(&quot;unchecked&quot;)
    public &lt;T&gt; T getProp(String key) {
<span class="fc" id="L68">        return (T) props.get(key);</span>
    }

    @SuppressWarnings(&quot;unchecked&quot;)
    public &lt;T&gt; T setProp(String key, T value) {
<span class="fc" id="L73">        return (T) props.put(key, value);</span>
    }

    public boolean containsProp(String key) {
<span class="nc" id="L77">        return props.containsKey(key);</span>
    }

    @SuppressWarnings(&quot;unchecked&quot;)
    public &lt;T&gt; T getConfig(String key) {
<span class="nc" id="L82">        return (T) confProps.get(key);</span>
    }

    public &lt;T&gt; T getPayload() {
<span class="fc" id="L86">        return (T) payload;</span>
    }

    public &lt;T&gt; void setPayload(T payload) {
<span class="fc" id="L90">        this.payload = payload;</span>
<span class="fc" id="L91">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>